package com.sonic.shark.service;

import java.util.List;

/**
 * @Author code
 * @Date 2021/1/25 13:43
 * @Version 1.0
 */
public interface ImageCheckService {

    /**
     * 添加校验结果到缓存列表中
     * @param url
     */
    void addImageCheckResult(String url);

    /**
     * 校验图片是否通过了校验
     * @param url
     */
    void checkImageIsPassed(String url);

    /**
     * 批量校验图片是否通过了校验
     * @param urls
     */
    void checkImageIsPassed(List<String> urls);

    /**
     * 业务上确认图片
     * @param userId
     * @param urls
     */
    void confirmImage(Long userId, List<String> urls);

    /**
     * 校验真人
     * @param url
     */
    void addHumanIdentificationCheckResult(String url);

    /**
     * 校验真人图片是否通过了校验
     * @param url
     */
    void checkHumanIdentificationIsPassed(String url);

    /**
     * 校验真人图片是否通过了校验
     * @param urls
     */
    void checkHumanIdentificationIsPassed(List<String> urls);
}
